Displaying 6 results from an estimated 6 matches for "719f63b".
2018 Aug 12
0
[PATCH nbdkit 08/10] freebsd: In scripts use 'env bash' instead of '/bin/bash'.
...sh b/tests/test-tls.sh
index dcf34a2..71bd8a4 100755
--- a/tests/test-tls.sh
+++ b/tests/test-tls.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -
+#!/usr/bin/env bash
# nbdkit
# Copyright (C) 2017 Red Hat Inc.
# All rights reserved.
diff --git a/tests/test-truncate1.sh b/tests/test-truncate1.sh
index d522d70..719f63b 100755
--- a/tests/test-truncate1.sh
+++ b/tests/test-truncate1.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -
+#!/usr/bin/env bash
# nbdkit
# Copyright (C) 2018 Red Hat Inc.
# All rights reserved.
diff --git a/tests/test-truncate2.sh b/tests/test-truncate2.sh
index 8b57184..0295b96 100755
--- a/tests/test-t...
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...UIT TERM EXIT ERR
- echo $0: cleanup: exit code $status
-
kill $pid
rm -f tls.pid tls.out
-
- exit $status
}
-trap cleanup INT QUIT TERM EXIT ERR
+cleanup_fn cleanup
# Run qemu-img against the server.
LANG=C \
diff --git a/tests/test-truncate1.sh b/tests/test-truncate1.sh
index 719f63b..c4f3b63 100755
--- a/tests/test-truncate1.sh
+++ b/tests/test-truncate1.sh
@@ -33,6 +33,7 @@
# Test the truncate filter using the pattern plugin.
+source ./functions.sh
set -e
set -x
@@ -68,16 +69,10 @@ pid="$(cat truncate1.pid)"
# Kill the nbdkit process on exit.
cleanup ()...
2018 Sep 11
0
[PATCH nbdkit 4/4] tests: Add a helper function which waits for nbdkit to start up.
...if test -f tls.pid; then
- break
- fi
- sleep 1
-done
-if ! test -f tls.pid; then
- echo "$0: PID file was not created"
- exit 1
-fi
-
pid="$(cat tls.pid)"
# Kill the process on exit.
diff --git a/tests/test-truncate1.sh b/tests/test-truncate1.sh
index 719f63b..fb5ef65 100755
--- a/tests/test-truncate1.sh
+++ b/tests/test-truncate1.sh
@@ -33,6 +33,7 @@
# Test the truncate filter using the pattern plugin.
+source functions.sh
set -e
set -x
@@ -46,23 +47,10 @@ if ! qemu-io --help >/dev/null; then
fi
# Run nbdkit with pattern plugin and trun...
2018 Aug 12
13
[PATCH nbdkit 00/10] FreeBSD support.
With these patches, a majority of tests pass. The notable
things which are still broken:
- Because FreeBSD links /home -> /usr/home, $(pwd) gives a different
result from realpath(2). Therefore some tests which implicitly
rely on (eg) a plugin which calls nbdkit_realpath internally and
then checking that path against $(pwd) fail.
- Shebangs (#!) don't seem to work the same way
2018 Sep 11
7
[PATCH nbdkit 0/4] tests: Move common functions into tests/functions.sh
Combine much common code into tests/functions.sh.
Patch 1: Preparation for patch 3.
Patch 2: Fix a long-standing bug in how man pages links are generated.
Patch 3: Common code for iterating a test function over every plugin.
Patch 4: Common code for starting nbdkit in a test and waiting for the
PID file to appear. This is the largest and most complex of
the patches but is
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html
v2:
- Fix tab vs spaces in configure.ac.
- To generate list of plugins, use printf instead of xargs.
- Use 'source ./functions.sh' instead of 'source functions'.
- functions.sh: Consistent quoting in foreach_plugin function.
- functions.sh: Change the contract of start_nbdkit so it